
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "OGDFType.h"

#include "STDDeletable.h"

#include "stdcxxType.h"


#define RANKINGMODULE_DECL_VIRT(Type) \



#define RANKINGMODULE_DECL_NONVIRT(Type) \



#define RANKINGMODULE_DECL_ACCESSOR(Type) \



#define RANKINGMODULE_DEF_VIRT(Type) \



#define RANKINGMODULE_DEF_NONVIRT(Type) \



#define RANKINGMODULE_DEF_ACCESSOR(Type) \



DELETABLE_DECL_VIRT(RankingModule)
RANKINGMODULE_DECL_VIRT(RankingModule)
RANKINGMODULE_DECL_NONVIRT(RankingModule)
RANKINGMODULE_DECL_ACCESSOR(RankingModule)

#ifdef __cplusplus
}
#endif

